Bug 253088 - Amarok crash opening Ipod [@ Meta::MediaDeviceAlbum::image]
Summary: Amarok crash opening Ipod [@ Meta::MediaDeviceAlbum::image]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/iPod iPhone (show other bugs)
Version: 2.4-GIT
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords: regression
: 270148 270903 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-10-03 06:38 UTC by Dan Vasquez
Modified: 2011-12-20 11:05 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Vasquez 2010-10-03 06:38:15 UTC
Application: amarok (2.3.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-25-generic i686
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
I double left clicked on my ipod and Amarok crashed.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb61ab720 (LWP 9556))]

Thread 22 (Thread 0xb411bb70 (LWP 9559)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e3a34 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c22ce7 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 21 (Thread 0xb391ab70 (LWP 9560)):
#0  0x004fd6a6 in qt_gettime () at kernel/qcore_unix.cpp:89
#1  0x00502825 in QTimerInfoList::updateCurrentTime (this=0x88a13fc) at kernel/qeventdispatcher_unix.cpp:340
#2  0x0050286a in QTimerInfoList::timerWait (this=0x88a13fc, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#3  0x00500818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb391a0ac) at kernel/qeventdispatcher_glib.cpp:136
#4  0x03239aca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#5  0x03239ee9 in ?? () from /lib/libglib-2.0.so.0
#6  0x0323a4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#7  0x0050060f in QEventDispatcherGlib::processEvents (this=0x88a1fe8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#8  0x004d3059 in QEventLoop::processEvents (this=0xb391a270, flags=) at kernel/qeventloop.cpp:149
#9  0x004d34aa in QEventLoop::exec (this=0xb391a270, flags=...) at kernel/qeventloop.cpp:201
#10 0x003cf5a8 in QThread::exec (this=0x88a0cd8) at thread/qthread.cpp:487
#11 0x03c5c96a in Phonon::Xine::XineThread::run (this=0x88a0cd8) at ../../xine/xinethread.cpp:143
#12 0x003d232e in QThreadPrivate::start (arg=0x88a0cd8) at thread/qthread_unix.cpp:248
#13 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 20 (Thread 0xaf118b70 (LWP 9566)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c339ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 19 (Thread 0xae917b70 (LWP 9567)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c339ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 18 (Thread 0xae116b70 (LWP 9568)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c339ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 17 (Thread 0xad915b70 (LWP 9572)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00961b33 in __pthread_mutex_lock_full () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e3ba6 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#3  0x04300f31 in pa_mutex_lock () from /usr/lib/libpulsecommon-0.9.21.so
#4  0x060d850c in ?? () from /usr/lib/libpulse.so.0
#5  0x060c4a59 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#6  0x060c6a13 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#7  0x060c6ae4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#8  0x060d82a3 in ?? () from /usr/lib/libpulse.so.0
#9  0x04301e02 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#10 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xad114b70 (LWP 9573)):
#0  0x00961af3 in __pthread_mutex_lock_full () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x007e3ba6 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x04300f31 in pa_mutex_lock () from /usr/lib/libpulsecommon-0.9.21.so
#3  0x060d7f10 in pa_threaded_mainloop_lock () from /usr/lib/libpulse.so.0
#4  0x0345d6f6 in ?? () from /usr/lib/alsa-lib/libasound_module_ctl_pulse.so
#5  0x03bbed6a in ?? () from /usr/lib/libasound.so.2
#6  0x03bb7b8d in snd_ctl_read () from /usr/lib/libasound.so.2
#7  0x03bb3f4f in snd_hctl_handle_events () from /usr/lib/libasound.so.2
#8  0x03bbfdc1 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
#9  0x038fbad8 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 15 (Thread 0xac913b70 (LWP 9574)):
#0  0x042eb744 in pa_once_begin () from /usr/lib/libpulsecommon-0.9.21.so
#1  0x042eb934 in pa_run_once () from /usr/lib/libpulsecommon-0.9.21.so
#2  0x04301d35 in pa_thread_self () from /usr/lib/libpulsecommon-0.9.21.so
#3  0x060d7f82 in pa_threaded_mainloop_lock () from /usr/lib/libpulse.so.0
#4  0x06c4ac66 in ?? () from /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
#5  0x03c161d1 in ?? () from /usr/lib/libasound.so.2
#6  0x03bd1dd3 in ?? () from /usr/lib/libasound.so.2
#7  0x03c165da in ?? () from /usr/lib/libasound.so.2
#8  0x03bcc644 in snd_pcm_writei () from /usr/lib/libasound.so.2
#9  0x038fd16e in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#10 0x07c314f8 in ?? () from /usr/lib/libxine.so.1

Thread 14 (Thread 0xaba19b70 (LWP 9576)):
#0  0x007e3bbb in pthread_mutex_unlock () from /lib/tls/i686/cmov/libc.so.6
#1  0x03239794 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x0323a0ce in ?? () from /lib/libglib-2.0.so.0
#3  0x0323a4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0050060f in QEventDispatcherGlib::processEvents (this=0x8ef4d88, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0x004d3059 in QEventLoop::processEvents (this=0xaba19280, flags=) at kernel/qeventloop.cpp:149
#6  0x004d34aa in QEventLoop::exec (this=0xaba19280, flags=...) at kernel/qeventloop.cpp:201
#7  0x003cf5a8 in QThread::exec (this=0x90e58d0) at thread/qthread.cpp:487
#8  0x004b2c1b in QInotifyFileSystemWatcherEngine::run (this=0x90e58d0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x003d232e in QThreadPrivate::start (arg=0x90e58d0) at thread/qthread_unix.cpp:248
#10 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xa93a4b70 (LWP 9581)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x003d3287 in QWaitConditionPrivate::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0097b870 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91980c8, th=0x93682f8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0097e38c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x92f3370, th=0x93682f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0097a27b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91980c8, th=0x93682f8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0097e482 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0x93682f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0x93682f8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0097e4a1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0x93682f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0x93682f8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0097e4a1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0x93682f8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0x93682f8, previous=0x9d41960) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0x0097c51e in ThreadWeaver::ThreadRunHelper::run (this=0xa93a42e4, parent=0x91980c8, th=0x93682f8) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0x0097cc3b in ThreadWeaver::Thread::run (this=0x93682f8) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0x003d232e in QThreadPrivate::start (arg=0x93682f8) at thread/qthread_unix.cpp:248
#17 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#18 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xa7fc3b70 (LWP 9697)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x02115a57 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0x02115aa1 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xa769ab70 (LWP 9698)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x003d3287 in QWaitConditionPrivate::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0097b870 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91980c8, th=0xa0bd010) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0097e38c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x92f3370, th=0xa0bd010) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0097a27b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91980c8, th=0xa0bd010) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0097e482 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0xa0bd010) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0xa0bd010, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0097e4a1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0xa0bd010) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0xa0bd010, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0097e4a1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0xa0bd010) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0xa0bd010, previous=0xb25bc58) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0x0097c51e in ThreadWeaver::ThreadRunHelper::run (this=0xa769a2e4, parent=0x91980c8, th=0xa0bd010) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0x0097cc3b in ThreadWeaver::Thread::run (this=0xa0bd010) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0x003d232e in QThreadPrivate::start (arg=0xa0bd010) at thread/qthread_unix.cpp:248
#17 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#18 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xa6e99b70 (LWP 9699)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x003d3287 in QWaitConditionPrivate::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0097b870 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91980c8, th=0xa0f7328) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0097e38c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x92f3370, th=0xa0f7328) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0097a27b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91980c8, th=0xa0f7328) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0097e482 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0xa0f7328) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0xa0f7328, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0097e4a1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0xa0f7328) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0xa0f7328, previous=0xa3235e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x0097c51e in ThreadWeaver::ThreadRunHelper::run (this=0xa6e992e4, parent=0x91980c8, th=0xa0f7328) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x0097cc3b in ThreadWeaver::Thread::run (this=0xa0f7328) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x003d232e in QThreadPrivate::start (arg=0xa0f7328) at thread/qthread_unix.cpp:248
#15 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xa6698b70 (LWP 9700)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x003d3287 in QWaitConditionPrivate::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0x91980e0, mutex=0x938bad8, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x0097b870 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x91980c8, th=0xaa1c9b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0097e38c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x92f3370, th=0xaa1c9b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0097a27b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x91980c8, th=0xaa1c9b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x0097e482 in ThreadWeaver::WorkingHardState::applyForWork (this=0x92f3370, th=0xaa1c9b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x0097b4d3 in ThreadWeaver::WeaverImpl::applyForWork (this=0x91980c8, th=0xaa1c9b0, previous=0xa2b8198) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0097c51e in ThreadWeaver::ThreadRunHelper::run (this=0xa66982e4, parent=0x91980c8, th=0xaa1c9b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0097cc3b in ThreadWeaver::Thread::run (this=0xaa1c9b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x003d232e in QThreadPrivate::start (arg=0xaa1c9b0) at thread/qthread_unix.cpp:248
#13 0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0x9c5f9b70 (LWP 9706)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x01d87c97 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x1e611a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#4  0x01d87ce1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x1e611a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#5  0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0x99f7fb70 (LWP 10549)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x007cf971 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x07c4c5cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 6 (Thread 0x99216b70 (LWP 10550)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c262aa in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 5 (Thread 0x98848b70 (LWP 10551)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e3a34 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c31867 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 4 (Thread 0x98047b70 (LWP 10552)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c369da in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 3 (Thread 0x973adb70 (LWP 10553)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x00964015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x007e39dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x07c261f6 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0x92babb70 (LWP 10554)):
#0  0x005f3422 in __kernel_vsyscall ()
#1  0x007c8b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x060d8502 in ?? () from /usr/lib/libpulse.so.0
#3  0x060c4a59 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x060c6a13 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x060c6ae4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x060d82a3 in ?? () from /usr/lib/libpulse.so.0
#7  0x04301e02 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x0095f96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x007d6a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb61ab720 (LWP 9556)):
[KCrash Handler]
#6  0x006af7fc in __dynamic_cast () from /usr/lib/libstdc++.so.6
#7  0x01242dac in dynamicCast<Meta::Track> (this=0x9b5a1f8, size=90) at /usr/include/ksharedptr.h:189
#8  Meta::MediaDeviceAlbum::image (this=0x9b5a1f8, size=90) at ../../src/collection/mediadevicecollection/MediaDeviceMeta.cpp:854
#9  0x012c09a9 in Meta::Album::imageWithBorder (this=0x9b5a1f8, size=100, borderWidth=5) at ../../src/meta/Meta.cpp:451
#10 0x01101ab5 in Playlist::Model::data (this=0x8ee9800, index=..., role=0) at ../../src/playlist/PlaylistModel.cpp:221
#11 0x011b2a1b in Playlist::ProxyBase::data (this=0xa1c64a0, index=..., role=0) at ../../src/playlist/proxymodels/ProxyBase.cpp:124
#12 0x011b2a1b in Playlist::ProxyBase::data (this=0xa1c6f38, index=..., role=0) at ../../src/playlist/proxymodels/ProxyBase.cpp:124
#13 0x011b2a1b in Playlist::ProxyBase::data (this=0xa158330, index=..., role=0) at ../../src/playlist/proxymodels/ProxyBase.cpp:124
#14 0x052823c8 in QSortFilterProxyModel::data (this=0xa156ac0, index=..., role=0) at itemviews/qsortfilterproxymodel.cpp:1678
#15 0x011b2313 in Playlist::GroupingProxy::data (this=0xa156ac0, index=..., role=25470340) at ../../src/playlist/proxymodels/GroupingProxy.cpp:207
#16 0x011995ee in QModelIndex::data (this=0xa525ad8, config=..., painter=0xbf910f7c, option=..., index=..., ignoreMarkers=true) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
#17 Playlist::PrettyItemDelegate::paintItem (this=0xa525ad8, config=..., painter=0xbf910f7c, option=..., index=..., ignoreMarkers=true) at ../../src/playlist/view/listview/PrettyItemDelegate.cpp:447
#18 0x0119b03f in Playlist::PrettyItemDelegate::paint (this=0xa525ad8, painter=0xbf910f7c, option=..., index=...) at ../../src/playlist/view/listview/PrettyItemDelegate.cpp:198
#19 0x0521a2eb in QListView::paintEvent (this=0x9f7ee60, e=0xbf911884) at itemviews/qlistview.cpp:1044
#20 0x0119d266 in Playlist::PrettyListView::paintEvent (this=0x9f7ee60, event=0xbf911884) at ../../src/playlist/view/listview/PrettyListView.cpp:578
#21 0x04cae6b6 in QWidget::event (this=0x9f7ee60, event=0xbf911884) at kernel/qwidget.cpp:8144
#22 0x050aafd3 in QFrame::event (this=0x9f7ee60, e=0xbf911884) at widgets/qframe.cpp:557
#23 0x05145382 in QAbstractScrollArea::viewportEvent (this=0x23, e=0x184a584) at widgets/qabstractscrollarea.cpp:1036
#24 0x051f9bd7 in QAbstractItemView::viewportEvent (this=0x9f7ee60, event=0xbf911884) at itemviews/qabstractitemview.cpp:1610
#25 0x05147c65 in QAbstractScrollAreaPrivate::viewportEvent (this=0xaaab1f8, o=0x9fa7050, e=0xbf911884) at widgets/qabstractscrollarea_p.h:100
#26 QAbstractScrollAreaFilter::eventFilter (this=0xaaab1f8, o=0x9fa7050, e=0xbf911884) at widgets/qabstractscrollarea_p.h:116
#27 0x004d3cda in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8804cb8, receiver=0x9fa7050, event=0xbf911884) at kernel/qcoreapplication.cpp:819
#28 0x04c504b9 in QApplicationPrivate::notify_helper (this=0x8804cb8, receiver=0x9fa7050, e=0xbf911884) at kernel/qapplication.cpp:4296
#29 0x04c570f9 in QApplication::notify (this=0xbf913768, receiver=0x9fa7050, e=0xbf911884) at kernel/qapplication.cpp:4265
#30 0x014a8276 in App::notify (this=0xbf913768, receiver=0x9fa7050, event=0xbf911884) at ../../src/App.cpp:927
#31 0x004d4a3b in QCoreApplication::notifyInternal (this=0xbf913768, receiver=0x9fa7050, event=0xbf911884) at kernel/qcoreapplication.cpp:704
#32 0x04cb79d6 in QCoreApplication::sendSpontaneousEvent (this=0x9221f78, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#33 QWidgetPrivate::drawWidget (this=0x9221f78, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50) at kernel/qwidget.cpp:5339
#34 0x04cb8815 in QWidgetPrivate::paintSiblingsRecursive (this=0x9221c90, pdev=0x8ee6e2c, siblings=..., index=7, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5452
#35 0x04cb864e in QWidgetPrivate::paintSiblingsRecursive (this=0x9221c90, pdev=0x8ee6e2c, siblings=..., index=8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5439
#36 0x04cb7725 in QWidgetPrivate::drawWidget (this=0x9221c90, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50) at kernel/qwidget.cpp:5388
#37 0x04cb8815 in QWidgetPrivate::paintSiblingsRecursive (this=0x9f690b0, pdev=0x8ee6e2c, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5452
#38 0x04cb7725 in QWidgetPrivate::drawWidget (this=0x9f690b0, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50) at kernel/qwidget.cpp:5388
#39 0x04cb8815 in QWidgetPrivate::paintSiblingsRecursive (this=0x91f2078, pdev=0x8ee6e2c, siblings=..., index=17, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5452
#40 0x04cb7725 in QWidgetPrivate::drawWidget (this=0x91f2078, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50) at kernel/qwidget.cpp:5388
#41 0x04cb8815 in QWidgetPrivate::paintSiblingsRecursive (this=0x91d0af0, pdev=0x8ee6e2c, siblings=..., index=8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5452
#42 0x04cb7725 in QWidgetPrivate::drawWidget (this=0x91d0af0, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50) at kernel/qwidget.cpp:5388
#43 0x04cb8815 in QWidgetPrivate::paintSiblingsRecursive (this=0x8ed5568, pdev=0x8ee6e2c, siblings=..., index=83, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5452
#44 0x04cb864e in QWidgetPrivate::paintSiblingsRecursive (this=0x8ed5568, pdev=0x8ee6e2c, siblings=..., index=92, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x932bf50)
    at kernel/qwidget.cpp:5439
#45 0x04cb7725 in QWidgetPrivate::drawWidget (this=0x8ed5568, pdev=0x8ee6e2c, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x932bf50) at kernel/qwidget.cpp:5388
#46 0x04e8e890 in QWidgetBackingStore::sync (this=0x932bf50) at painting/qbackingstore.cpp:1291
#47 0x04ca7b93 in QWidgetPrivate::syncBackingStore (this=0x8ed5568) at kernel/qwidget.cpp:1672
#48 0x04caee76 in QWidget::event (this=0x8ecd2d0, event=0xb421f28) at kernel/qwidget.cpp:8291
#49 0x050c9bc7 in QMainWindow::event (this=0x8ecd2d0, event=0xb421f28) at widgets/qmainwindow.cpp:1433
#50 0x00e68b04 in KMainWindow::event (this=0x8ecd2d0, ev=0xb421f28) at ../../kdeui/widgets/kmainwindow.cpp:1103
#51 0x04c504dc in QApplicationPrivate::notify_helper (this=0x8804cb8, receiver=0x8ecd2d0, e=0xb421f28) at kernel/qapplication.cpp:4300
#52 0x04c570f9 in QApplication::notify (this=0xbf913768, receiver=0x8ecd2d0, e=0xb421f28) at kernel/qapplication.cpp:4265
#53 0x014a8276 in App::notify (this=0xbf913768, receiver=0x8ecd2d0, event=0xb421f28) at ../../src/App.cpp:927
#54 0x004d4a3b in QCoreApplication::notifyInternal (this=0xbf913768, receiver=0x8ecd2d0, event=0xb421f28) at kernel/qcoreapplication.cpp:704
#55 0x004d7473 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x8726770) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#56 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8726770) at kernel/qcoreapplication.cpp:1345
#57 0x004d75dd in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#58 0x00500adf in QCoreApplication::sendPostedEvents (s=0x880b6b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#59 postEventSourceDispatch (s=0x880b6b0) at kernel/qeventdispatcher_glib.cpp:276
#60 0x032365e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#61 0x0323a2d8 in ?? () from /lib/libglib-2.0.so.0
#62 0x0323a4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#63 0x005005d5 in QEventDispatcherGlib::processEvents (this=0x8726308, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#64 0x04d10135 in QGuiEventDispatcherGlib::processEvents (this=0x8726308, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#65 0x004d3059 in QEventLoop::processEvents (this=0xbf9136d4, flags=) at kernel/qeventloop.cpp:149
#66 0x004d34aa in QEventLoop::exec (this=0xbf9136d4, flags=...) at kernel/qeventloop.cpp:201
#67 0x004d769f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#68 0x04c50577 in QApplication::exec () at kernel/qapplication.cpp:3579
#69 0x08050009 in main (argc=1, argv=0xbf913fe4) at ../../src/main.cpp:237

Reported using DrKonqi
Comment 1 Timothy Lanzi 2011-01-03 23:47:54 UTC
Amarok 2.4-GIT, kubuntu 10.10, iPod 2g nano, iPod 3g nano. Bug report is somewhat vague. However, when I double click on iPod icon on collection pane in Amarok, all songs on iPod are transferred to playlist. No issues.
Comment 2 Myriam Schweingruber 2011-01-04 16:43:30 UTC
Thank you for testing.
Comment 3 Myriam Schweingruber 2011-04-06 11:48:28 UTC
*** Bug 270148 has been marked as a duplicate of this bug. ***
Comment 4 Myriam Schweingruber 2011-04-06 11:50:32 UTC
Reopening based on duplicate from 2.4-git
Comment 5 optiluca@gmail.com 2011-04-06 12:53:44 UTC
Is bug 270148 really a duplicate of this?  I can do what stated in Comment #1 no problem.  I get a crash / general lack of functionality if I try to delete a track from the ipod, however.
Comment 6 Myriam Schweingruber 2011-04-06 12:57:02 UTC
The crash is in the same method
Comment 7 Myriam Schweingruber 2011-04-14 12:09:41 UTC
*** Bug 270903 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2011-04-14 12:10:06 UTC
Confirmed by duplicates
Comment 9 Sergey Ivanov 2011-04-27 21:20:03 UTC
Git commit d2c77d11c87d9a3bea02fa820a4d2592e831470a by Sergey Ivanov.
Committed on 27/04/2011 at 18:45.
Pushed by ivanov into branch 'master'.

Fix crash during iPod track removal.
BUG: 253088

M  +1    -0    ChangeLog     
M  +8    -5    src/core-impl/collections/ipodcollection/handler/IpodHandler.cpp     
M  +2    -2    src/core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp     
M  +1    -2    src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp     

http://commits.kde.org/amarok/d2c77d11c87d9a3bea02fa820a4d2592e831470a